<?xml version="1.0" encoding="utf-8"?>
<CaR>
<Macro Name="Bezier/Bezier Curve (4 Points)">
<Parameter name="P1">P1</Parameter>
<Parameter name="P2">P2</Parameter>
<Parameter name="P3">P3</Parameter>
<Parameter name="P4">P4</Parameter>
<Comment>
<P>Construct a Bezier curve from 4 support points.</P>
</Comment>
<Objects>
<Point name="P1" n="0" x="-1.7694704049844239" y="2.118380062305296">Point at -1.7694704, 2.1183801</Point>
<Point name="P2" n="1" x="-3.3644859813084116" y="-0.49844236760124616">Point at -3.364486, -0.4984424</Point>
<Point name="P3" n="2" x="0.44859813084112155" y="-1.9688473520249214">Point at 0.4485981, -1.9688474</Point>
<Point name="P4" n="3" x="3.9127725856697815" y="2.517133956386293">Point at 3.9127726, 2.517134</Point>
<Function name="f1" n="4" target="true" x="x(P1)*(1-t)^3+3*x(P2)*(1-t)^2*t+3*x(P3)*(1-t)*t^2+x(P4)*t^3" y="y(P1)*(1-t)^3+3*y(P2)*(1-t)^2*t+3*y(P3)*(1-t)*t^2+y(P4)*t^3" var="t" min="0" max="1" d="0.01">Function ( x(P1)*(1-t)^3+3*x(P2)*(1-t)^2*t+3*x(P3)*(1-t)*t^2+x(P4)*t^3 , y(P1)*(1-t)^3+3*y(P2)*(1-t)^2*t+3*y(P3)*(1-t)*t^2+y(P4)*t^3 )</Function>
</Objects>
</Macro>
<Macro Name="Bezier/Bezier Curve (3 Points)">
<Parameter name="P5">P5</Parameter>
<Parameter name="P6">P6</Parameter>
<Parameter name="P7">P7</Parameter>
<Comment>
<P>Construct a Bezier Curve from 3 support points.</P>
</Comment>
<Objects>
<Point name="P5" n="0" x="-5.757009345794392" y="3.962616822429905">Point at -5.7570093, 3.9626168</Point>
<Point name="P6" n="1" x="-5.906542056074766" y="2.591900311526481">Point at -5.9065421, 2.5919003</Point>
<Point name="P7" n="2" x="-1.7196261682242993" y="3.6137071651090347">Point at -1.7196262, 3.6137072</Point>
<Function name="f1" n="3" target="true" x="x(P5)*(1-t)^2+2*x(P6)*(1-t)*t+x(P7)*t^2" y="y(P5)*(1-t)^2+2*y(P6)*(1-t)*t+y(P7)*t^2" var="t" min="0" max="1" d="0.01">Function ( x(P5)*(1-t)^2+2*x(P6)*(1-t)*t+x(P7)*t^2 , y(P5)*(1-t)^2+2*y(P6)*(1-t)*t+y(P7)*t^2 )</Function>
</Objects>
</Macro>
<Macro Name="Bezier/Jordan Curve (4 Points)">
<Parameter name="P8">P1</Parameter>
<Parameter name="P9">P2</Parameter>
<Parameter name="P10">P3</Parameter>
<Parameter name="P11">P4</Parameter>
<Comment>
<P>Construct a Jordan Curve from 4 support points, consisting
of 4 Bezier curves.</P>
</Comment>
<Objects>
<Point name="P8" n="0" x="4.012461059190031" y="0.8722741433021808">Point at 4.0124611, 0.8722741</Point>
<Point name="P9" n="1" x="3.1651090342679122" y="-2.2679127725856696">Point at 3.165109, -2.2679128</Point>
<Point name="P10" n="2" x="5.956386292834891" y="-2.467289719626168">Point at 5.9563863, -2.4672897</Point>
<Point name="P11" n="3" x="6.803738317757009" y="0.32398753894081">Point at 6.8037383, 0.3239875</Point>
<Midpoint name="M1" n="4" hidden="super" first="P8" second="P9">Midpoint between P8 and P9</Midpoint>
<Midpoint name="M2" n="5" hidden="super" first="P9" second="P10">Midpoint between P9 and P10</Midpoint>
<Midpoint name="M3" n="6" hidden="super" first="P10" second="P11">Midpoint between P10 and P11</Midpoint>
<Midpoint name="M4" n="7" hidden="super" first="P11" second="P8">Midpoint between P11 and P8</Midpoint>
<Function name="f1" n="8" target="true" x="x(M4)*(1-t)^2+2*x(P8)*(1-t)*t+x(M1)*t^2" y="y(M4)*(1-t)^2+2*y(P8)*(1-t)*t+y(M1)*t^2" var="t" min="0" max="1" d="0.01">Function ( x(M4)*(1-t)^2+2*x(P8)*(1-t)*t+x(M1)*t^2 , y(M4)*(1-t)^2+2*y(P8)*(1-t)*t+y(M1)*t^2 )</Function>
<Function name="f2" n="9" target="true" x="x(M1)*(1-t)^2+2*x(P9)*(1-t)*t+x(M2)*t^2" y="y(M1)*(1-t)^2+2*y(P9)*(1-t)*t+y(M2)*t^2" var="t" min="0" max="1" d="0.01">Function ( x(M1)*(1-t)^2+2*x(P9)*(1-t)*t+x(M2)*t^2 , y(M1)*(1-t)^2+2*y(P9)*(1-t)*t+y(M2)*t^2 )</Function>
<Function name="f3" n="10" target="true" x="x(M2)*(1-t)^2+2*x(P10)*(1-t)*t+x(M3)*t^2" y="y(M2)*(1-t)^2+2*y(P10)*(1-t)*t+y(M3)*t^2" var="t" min="0" max="1" d="0.01">Function ( x(M2)*(1-t)^2+2*x(P10)*(1-t)*t+x(M3)*t^2 , y(M2)*(1-t)^2+2*y(P10)*(1-t)*t+y(M3)*t^2 )</Function>
<Function name="f4" n="11" target="true" x="x(M3)*(1-t)^2+2*x(P11)*(1-t)*t+x(M4)*t^2" y="y(M3)*(1-t)^2+2*y(P11)*(1-t)*t+y(M4)*t^2" var="t" min="0" max="1" d="0.01">Function ( x(M3)*(1-t)^2+2*x(P11)*(1-t)*t+x(M4)*t^2 , y(M3)*(1-t)^2+2*y(P11)*(1-t)*t+y(M4)*t^2 )</Function>
</Objects>
</Macro>
<Macro Name="Bezier/Rational Bezier Curve">
<Parameter name="P1">P1</Parameter>
<Parameter name="P2">P2</Parameter>
<Parameter name="P3">P3</Parameter>
<Comment>
<P>Rationale Bezierkurve vom Grad 3 mit Parameter a.</P>
</Comment>
<Objects>
<Point name="P1" n="0" mainparameter="true" x="0.0" y="1.0">Point at 0.0, 1.0</Point>
<Point name="P2" n="1" mainparameter="true" x="1.0" y="1.0">Point at 1.0, 1.0</Point>
<Point name="P3" n="2" mainparameter="true" x="1.0" y="0.0">Point at 1.0, 0.0</Point>
<Expression name="AD1" n="3" hidden="super" showvalue="true" x="1.125" y="0.625" value="0.7000000000000005" prompt="Wert">Expression &quot;0.7000000000000005&quot; at 1.125, 0.625</Expression>
<Function name="F1" n="4" target="true" x="(x(P1)*(1-t)^2+2*AD1*x(P2)*(1-t)*t+x(P3)*t^2)/((1-t)^2+2*AD1*(1-t)*t+t^2)" y="(y(P1)*(1-t)^2+2*AD1*y(P2)*(1-t)*t+y(P3)*t^2)/((1-t)^2+2*AD1*(1-t)*t+t^2)" var="t" min="0" max="1" d="0.01">Function ( (x(P1)*(1-t)^2+2*AD1*x(P2)*(1-t)*t+x(P3)*t^2)/((1-t)^2+2*AD1*(1-t)*t+t^2) , (y(P1)*(1-t)^2+2*AD1*y(P2)*(1-t)*t+y(P3)*t^2)/((1-t)^2+2*AD1*(1-t)*t+t^2) )</Function>
</Objects>
<PromptFor object0="AD1" prompt0="a"/>
</Macro>
</CaR>
